gi-pango-1.0.23: Pango bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Pango.Objects.FontsetSimple

Contents

- Exported types
- Methods
  - Overloaded methods
  - append
  - new
  - size

Description

`FontsetSimple` is a implementation of the abstract `Fontset` base class in terms of an array of fonts, which the creator provides when constructing the `FontsetSimple`.

Synopsis

- newtype FontsetSimple = FontsetSimple (ManagedPtr FontsetSimple)
- class (GObject o, IsDescendantOf FontsetSimple o) => IsFontsetSimple o
- toFontsetSimple :: (MonadIO m, IsFontsetSimple o) => o -> m FontsetSimple
- fontsetSimpleAppend :: (HasCallStack, MonadIO m, IsFontsetSimple a, IsFont b) => a -> b -> m ()
- fontsetSimpleNew :: (HasCallStack, MonadIO m) => Language -> m FontsetSimple
- fontsetSimpleSize :: (HasCallStack, MonadIO m, IsFontsetSimple a) => a -> m Int32

# Exported types

newtype FontsetSimple Source #

Memory-managed wrapper type.

Constructors

FontsetSimple (ManagedPtr FontsetSimple) |

#### Instances

Instances details

Eq FontsetSimple Source # |
Instance details Defined in GI.Pango.Objects.FontsetSimple Methods (==) :: FontsetSimple -> FontsetSimple -> Bool # (/=) :: FontsetSimple -> FontsetSimple -> Bool #
GObject FontsetSimple Source # |
Instance details Defined in GI.Pango.Objects.FontsetSimple
TypedObject FontsetSimple Source # |
Instance details Defined in GI.Pango.Objects.FontsetSimple Methods glibType :: IO GType Source #
ManagedPtrNewtype FontsetSimple Source # |
Instance details Defined in GI.Pango.Objects.FontsetSimple Methods toManagedPtr :: FontsetSimple -> ManagedPtr FontsetSimple Source #
IsGValue FontsetSimple Source # | Convert `FontsetSimple` to and from `GValue` with `toGValue` and `fromGValue`.
Instance details Defined in GI.Pango.Objects.FontsetSimple Methods toGValue :: FontsetSimple -> IO GValue Source # fromGValue :: GValue -> IO FontsetSimple Source #
HasParentTypes FontsetSimple Source # |
Instance details Defined in GI.Pango.Objects.FontsetSimple
type ParentTypes FontsetSimple Source # |
Instance details Defined in GI.Pango.Objects.FontsetSimple type ParentTypes FontsetSimple = '[Fontset, Object]

class (GObject o, IsDescendantOf FontsetSimple o) => IsFontsetSimple o Source #

Type class for types which can be safely cast to `FontsetSimple`, for instance with `toFontsetSimple`.

#### Instances

Instances details

(GObject o, IsDescendantOf FontsetSimple o) => IsFontsetSimple o Source # |
Instance details Defined in GI.Pango.Objects.FontsetSimple

toFontsetSimple :: (MonadIO m, IsFontsetSimple o) => o -> m FontsetSimple Source #

Cast to `FontsetSimple`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

## Overloaded methods

## append

fontsetSimpleAppend Source #

Arguments

:: (HasCallStack, MonadIO m, IsFontsetSimple a, IsFont b) |
=> a | `fontset`: a `FontsetSimple`.
-> b | `font`: a `Font`.
-> m () |

Adds a font to the fontset.

## new

fontsetSimpleNew Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> Language | `language`: a `Language` tag
-> m FontsetSimple | Returns: the newly allocated `FontsetSimple`, which should be freed with `objectUnref`.

Creates a new `FontsetSimple` for the given language.

## size

fontsetSimpleSize Source #

Arguments

:: (HasCallStack, MonadIO m, IsFontsetSimple a) |
=> a | `fontset`: a `FontsetSimple`.
-> m Int32 | Returns: the size of `fontset`.

Returns the number of fonts in the fontset.